var tape = require('tape')
var ref = require('../')

var methods = 'isLink,isMsg,isBlob,isFeed,isAddress,isInvite'.split(',')

var examples = [
  {
    id: "%WlBIbO+U4zHtN+I5Ged9+KmJrkDM55H9rXaDylur06s=.sha256",
    type: {isLink: true, isMsgId: true, isMsg: true, type: 'msg'}
  },
  {
    id: "&FhfoE8dxUizEnb6oEaPh50qcZ5mPCy+8syKWHnNZdJY=.sha256",
    type: {isLink: true, isBlobId: true, isBlob: true, type: 'blob'}
  },
  {
    id: "@BIbVppzlrNiRJogxDYz3glUS7G4s4D4NiXiPEAEzxdE=.ed25519",
    type: {isLink: true, isFeedId: true, isFeed: true, type: 'feed'}
  },
  {
    id: "176.58.117.63:8008:@J+0DGLgRn8H5tVLCcRUfN7NfUcTGEZKqML3krEOJjDY=.ed25519~rKuVBMzGJwkHcLSlPnRmHHR/Gj6ydeNJC7sZjJmHeaA=",
    type: {isInvite: true, type: 'invite'}
  },
  {
    id: "176.58.117.63:8008:@J+0DGLgRn8H5tVLCcRUfN7NfUcTGEZKqML3krEOJjDY=.ed25519",
    type: {isAddress: true, type: 'address'}
  }
]

examples.forEach(function (e) {

    tape(e.id, function (t) {
      methods.forEach(function (k) {
        console.log(k, ref[k](e.id), e.type[k] )
        t.equal(ref[k](e.id), e.type[k] || false)
      })
      t.end()
    })

})
